<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use App\Models\SendType;
use Filament\Forms\Components\Select;

class SendTypeSelect extends Select
{
    public static function create(): static
    {
        return parent::make('send_type_id')
            ->label('نوع ارسال')
            ->options(function () {
                return SendType::all()->pluck('title', 'id');
            })
            ->searchable()
            ->preload()
            ->columnSpan(6);
    }
}
